Subject: Re: [Patch 3/5] Network Drop Monitor: Adding kfree_skb_clean for non-drops and modifying end-of-line points for skbs

From: Evgeniy Polyakov <[email-masked]>
Date: Thu, 12 Mar 2009 00:39:02 +0300

On Wed, Mar 11, 2009 at 01:07:01PM -0400, Neil Horman ([email-masked]) wrote:
> > I was wondering if packets droped at NIC level are handled by "Network Drop Monitor".
> > (See recent discussion about Multicast packet loss)
> > 
> > I believe not, maybe I missed something ...
> > 
> No, unfortunately, theres no really good way to detect drops at the driver level
> without polling them periodically, which I think is somewhat in opposition to the
> point of this utility.  I'd welcome suggestions however.

It could be possible to check softnet stats difference when napi is
scheduled or drop monitor is about to send a packet to the userspace
about different drop.

-- 
	Evgeniy Polyakov